# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	String manipulation for Unicode strings
Name:		perl-Unicode-String
Version:	2.09
Release:	9.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Unicode-String/
Source0:	http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Unicode-String-%{version}.tar.gz
Patch0:		perl-Unicode-String-2.09-utf8doc.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	perl(MIME::Base64) >= 2.00, perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	perl(MIME::Base64) >= 2.00

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
These are experimental modules to handle various Unicode issues.  They
were made before perl included native UTF8 support.

%prep
%setup -q -n Unicode-String-%{version} 

# Recode documentation as UTF-8
# Can't just use iconv because README includes an example of
# character code conversion that would be wrong if simply recoded
%patch0 -p1
 
%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/Unicode/
%{perl_vendorarch}/auto/Unicode/
%{_mandir}/man3/Unicode::CharName.3pm*
%{_mandir}/man3/Unicode::String.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> 2.09-9
- Rebuild for perl 5.12.1 in Rawhide

* Fri May 28 2010 Paul Howarth <paul@city-fan.org> 2.09-8
- Fix dist tag for RHEL-6 Beta

* Thu Feb 18 2010 Paul Howarth <paul@city-fan.org> 2.09-7
- Properly convert documentation to UTF-8 encoding
- Dist tag for Rawhide no longer needs special-casing

* Fri Oct  2 2009 Paul Howarth <paul@city-fan.org> 2.09-6
- Use %%{?perl_default_filter} for the provides filter

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> 2.09-5
- Filter out unwanted provides for perl shared objects
- Update to SLES-compatible dist tag macros

* Sat Nov  1 2008 Paul Howarth <paul@city-fan.org> 2.09-4
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Mar 19 2007 Paul Howarth <paul@city-fan.org> 2.09-3
- Fix dist tag for development builds and Fedora 7 onwards
- Fix argument order for find with -depth
- BuildRequire perl(ExtUtils::MakeMaker)
- Convert Unicode::String manpage to UTF-8

* Thu Aug 31 2006 Paul Howarth <paul@city-fan.org> 2.09-2
- Disregard distribution sub-release number in dist tag
- Define %%{__id_u} in a more portable way

* Wed Oct 26 2005 Paul Howarth <paul@city-fan.org> 2.09-1
- Update to 2.09
- Use search.cpan.org URLs
- Simplify distribution detection
- Remove redundant macro definitions
- Don't use macros in build-time command paths, hardcode them instead
- Simplify compiler optimization settings
- Unconditionally remove buildroot in %%clean and %%install
- Fix directory ownership

* Wed Jun  1 2005 Paul Howarth <paul@city-fan.org> 2.07-4
- Rewrite spec file in (mainly) Fedora Extras style
- Include full URL for source
- Fix URL
- Use MODULE_COMPAT dependency style and remove explicit perl dependency

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 2.07-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 2.07-2
- Unified spec file for Red Hat and Fedora Core

* Mon Feb 02 2004 Paul Howarth <paul@city-fan.org> 2.07-1.fc1
- Initial RPM build.
